<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ApagaTipoContacto StructType
 * @subpackage Structs
 */
class ApagaTipoContacto extends AbstractStructBase
{
    /**
     * The entidade
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TipoContactosERP
     */
    public $entidade;
    /**
     * Constructor method for ApagaTipoContacto
     * @uses ApagaTipoContacto::setEntidade()
     * @param \StructType\TipoContactosERP $entidade
     */
    public function __construct(\StructType\TipoContactosERP $entidade = null)
    {
        $this
            ->setEntidade($entidade);
    }
    /**
     * Get entidade value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TipoContactosERP|null
     */
    public function getEntidade()
    {
        return isset($this->entidade) ? $this->entidade : null;
    }
    /**
     * Set entidade value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\TipoContactosERP $entidade
     * @return \StructType\ApagaTipoContacto
     */
    public function setEntidade(\StructType\TipoContactosERP $entidade = null)
    {
        if (is_null($entidade) || (is_array($entidade) && empty($entidade))) {
            unset($this->entidade);
        } else {
            $this->entidade = $entidade;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ApagaTipoContacto
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
